Bug 879069 - [abrt] yum-3.4.3-30.fc17: sqlitecachec.py:46:getPrimary:TypeError: Parsing primary.xml error: Document is empty
[abrt] yum-3.4.3-30.fc17: sqlitecachec.py:46:getPrimary:TypeError: Parsing pr...
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-11-21 19:26 EST by pamlo
Modified: 2013-08-01 04:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 04:14:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (1.78 KB, text/plain)
2012-11-21 19:26 EST, pamlo
no flags Details
File: core_backtrace (1.12 KB, text/plain)
2012-11-21 19:26 EST, pamlo
no flags Details
File: environ (1.94 KB, text/plain)
2012-11-21 19:26 EST, pamlo
no flags Details
File: smolt_data (2.57 KB, text/plain)
2012-11-21 19:26 EST, pamlo
no flags Details

  None (edit)
Description pamlo 2012-11-21 19:26:17 EST
Version-Release number of selected component:

Additional info:
cmdline:        /usr/bin/python /bin/yum install foo
dso_list:       yum-metadata-parser-1.1.4-6.fc17.x86_64
executable:     /bin/yum
kernel:         3.6.7-4.fc17.x86_64
uid:            0

Truncated backtrace:
sqlitecachec.py:46:getPrimary:TypeError: Parsing primary.xml error: Document is empty

Traceback (most recent call last):
  File "/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 319, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 144, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 343, in doCommand
    return base.installPkgs(extcmds, basecmd=basecmd)
  File "/usr/share/yum-cli/cli.py", line 853, in installPkgs
    txmbrs = self.install(pattern=arg)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4405, in install
    mypkgs = self.pkgSack.returnPackages(patterns=pats,
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1013, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 779, in _getSacks
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 348, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 218, in populate
    dobj = repo_cache_function(xml, csum)
  File "/usr/lib64/python2.7/site-packages/sqlitecachec.py", line 46, in getPrimary
TypeError: Parsing primary.xml error: Document is empty

Local variables in innermost frame:
checksum: 'a33a0c057c08ccf4fd116839ef3ec245784e2d49'
self: <sqlitecachec.RepodataParserSqlite instance at 0x2715fc8>
location: '/var/cache/yum/x86_64/17/adobe-linux-x86_64/gen/primary.xml'
Comment 1 pamlo 2012-11-21 19:26:21 EST
Created attachment 649451 [details]
File: backtrace
Comment 2 pamlo 2012-11-21 19:26:23 EST
Created attachment 649452 [details]
File: core_backtrace
Comment 3 pamlo 2012-11-21 19:26:26 EST
Created attachment 649453 [details]
File: environ
Comment 4 pamlo 2012-11-21 19:26:28 EST
Created attachment 649454 [details]
File: smolt_data
Comment 5 Zdeněk Pavlas 2012-11-22 11:03:31 EST
I thought such bugs were already fixed in -30.fc17, maybe this is something new..
Could you post output of this, please?

~$ cat /etc/yum.repos.d/adobe-linux-x86_64.repo
~$ ls -l /var/cache/yum/x86_64/17/adobe-linux-x86_64/{,gen/}
Comment 6 Fedora End Of Life 2013-07-03 22:22:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 04:14:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.